## kpat 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kpat VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.12.0")
set (KF5_MIN_VERSION "5.64.0")

include(FindPkgConfig)
pkg_check_modules(FC_SOLVE REQUIRED libfreecell-solver)
option(WITH_BH_SOLVER "Make use of https://github.com/shlomif/black-hole-solitaire for solving Golf" ON)
if (WITH_BH_SOLVER)
    pkg_check_modules(BLACK_HOLE_SOLVER REQUIRED libblack-hole-solver)
endif()
try_compile(fcs_soft_suspend "${CMAKE_CURRENT_BINARY_DIR}" SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/fcs_soft_suspend_test.c"
    COMPILE_DEFINITIONS ${FC_SOLVE_INCLUDE_DIRS}
    LINK_LIBRARIES ${FC_SOLVE_LDFLAGS})

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    I18n
    KIO
    NewStuff
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(GenerateExportHeader)

add_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_FOREACH
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(icons)
add_subdirectory(mimetypes)
add_subdirectory(previews)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(doc)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
)
include_directories(
    AFTER
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src
)
ecm_add_test(
    shuffle_test.cpp
    TEST_NAME ShuffleTest
    LINK_LIBRARIES Qt5::Test
    NAME_PREFIX "kpat-"
)
ecm_add_test(
    freecell_solver.cpp
    TEST_NAME FcSolveTest
    LINK_LIBRARIES Qt5::Test
    NAME_PREFIX "kpat-"
)
ecm_add_test(
    golf_solver_wins.cpp
    TEST_NAME GolfSolveTest
    LINK_LIBRARIES Qt5::Test
    NAME_PREFIX "kpat-"
)
ecm_add_test(
    solve_by_name.cpp
    TEST_NAME SolveByVariantName
    LINK_LIBRARIES Qt5::Test
    NAME_PREFIX "kpat-"
)

ecm_qt_declare_logging_category(SolverFormatTest_LOG_SRCS
    HEADER kpat_debug.h
    IDENTIFIER KPAT_LOG
    CATEGORY_NAME org.kde.kpat
)

ecm_add_test(
    "${CMAKE_SOURCE_DIR}/src/dealer.cpp"
    "${CMAKE_SOURCE_DIR}/src/dealerinfo.cpp"
    "${CMAKE_SOURCE_DIR}/src/golf.cpp"
    "${CMAKE_SOURCE_DIR}/src/patsolve/golfsolver.cpp"
    "${CMAKE_SOURCE_DIR}/src/patsolve/memory.cpp"
    "${CMAKE_SOURCE_DIR}/src/patsolve/patsolve.cpp"
    "${CMAKE_SOURCE_DIR}/src/messagebox.cpp"
    "${CMAKE_SOURCE_DIR}/src/patpile.cpp"
    "${CMAKE_SOURCE_DIR}/src/pileutils.cpp"
    "${CMAKE_SOURCE_DIR}/src/renderer.cpp"
    ${SolverFormatTest_LOG_SRCS}
    "settings_for_tests.cpp"
    solver_format.cpp
    TEST_NAME SolverFormatTest
    LINK_LIBRARIES Qt5::Test kcardgame
        KF5KDEGames
        ${BLACK_HOLE_SOLVER_LDFLAGS}
    NAME_PREFIX "kpat-"
)
# kpat code may include generated files, so by using any kpat file in the test
# the test itself becomes dependent on the entire kpat target, even when not
# using the target directly.
# TODO: make libkpat a static library linked into the test and kpat itself so
# the dependency order is "correct" and the compilation units are only built
# once.
add_dependencies(SolverFormatTest kpat)

=== src/libkcardgame/CMakeLists.txt ===
set( libkcardgame_SRCS
    kabstractcarddeck.cpp
    kcard.cpp
    kcarddeck.cpp
    kcardpile.cpp
    kcardscene.cpp
    kcardtheme.cpp
    kcardthemewidget.cpp
)
ecm_generate_headers(libkcardgame_CamelCase_HEADERS
    HEADER_NAMES
        KAbstractCardDeck
        KCard
        KCardDeck
        KCardPile
        KCardScene
        KCardTheme
        KCardThemeWidget
)
ecm_qt_declare_logging_category(libkcardgame_SRCS
    HEADER libkcardgame_debug.h
    IDENTIFIER LIBKCARDGAME_LOG
    CATEGORY_NAME org.kde.games.kcardgame
    DESCRIPTION "LibKCardGame (KPatience)"
    EXPORT KPAT
)

add_library(kcardgame SHARED ${libkcardgame_SRCS})
generate_export_header(kcardgame BASE_NAME libkcardgame)
target_link_libraries(kcardgame
    PUBLIC
        KF5::ConfigWidgets
        KF5::ConfigGui
        Qt5::Widgets
    PRIVATE
        KF5::Completion
        KF5::GuiAddons
        KF5::NewStuff
        KF5::I18n
        Qt5::Svg
)

install(TARGETS kcardgame ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kcardtheme.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== debian/changelog ===
kpat (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:39 +0000

kpat (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:13 +0000

kpat (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:03 +0000

kpat (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:14 +0000

kpat (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:22 +0000

kpat (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:21 +0000

kpat (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:50 +0000

kpat (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:43:51 +0000

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.64.0~),
               gettext,
               libfreecell-solver-dev,
               libkf5completion-dev (>= 5.64.0~),
               libkf5config-dev (>= 5.64.0~),
               libkf5configwidgets-dev (>= 5.64.0~),
               libkf5coreaddons-dev (>= 5.64.0~),
               libkf5crash-dev (>= 5.64.0~),
               libkf5dbusaddons-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5guiaddons-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.64.0~),
               libkf5kdegames-dev (>= 4:21.12.3~),
               libkf5kio-dev (>= 5.64.0~),
               libkf5newstuff-dev (>= 5.64.0~),
               libkf5widgetsaddons-dev (>= 5.64.0~),
               libkf5xmlgui-dev (>= 5.64.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.12.0~),
               shared-mime-info,
               xauth,
               xvfb,
Standards-Version: 4.5.1
Homepage: https://kde.org/applications/games/org.kde.kpat
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Rules-Requires-Root: no

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kf5 -- -DKDE_INSTALL_BINDIR=/usr/games -DWITH_BH_SOLVER=OFF

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kpat 22.08.1

=== debian/changelog ===
kpat (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:43:53 +0100

kpat (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:24 +0100

kpat (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:08 +0100

kpat (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:33 +0100

kpat (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:30 +0100

kpat (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:03 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.64.0~),
                libkf5guiaddons-dev (>= 5.64.0~),
                libkf5i18n-dev (>= 5.64.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.64.0~),
                libkf5newstuff-dev (>= 5.64.0~),
                libkf5widgetsaddons-dev (>= 5.64.0~),

## kpat 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kpat VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.91.0")

include(FindPkgConfig)
pkg_check_modules(FC_SOLVE REQUIRED libfreecell-solver)
option(WITH_BH_SOLVER "Make use of https://github.com/shlomif/black-hole-solitaire for solving Golf" ON)
if (WITH_BH_SOLVER)
    pkg_check_modules(BLACK_HOLE_SOLVER REQUIRED libblack-hole-solver)
endif()
try_compile(fcs_soft_suspend "${CMAKE_CURRENT_BINARY_DIR}" SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/cmake/fcs_soft_suspend_test.c"
    COMPILE_DEFINITIONS ${FC_SOLVE_INCLUDE_DIRS}
    LINK_LIBRARIES ${FC_SOLVE_LDFLAGS})

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(GenerateExportHeader)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    I18n
    KIO
    NewStuff
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.1 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.91
    KDEGAMES 7.3
)

add_subdirectory(icons)
add_subdirectory(mimetypes)
add_subdirectory(previews)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(doc)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -10,25 +10,25 @@
 ecm_add_test(
     shuffle_test.cpp
     TEST_NAME ShuffleTest
-    LINK_LIBRARIES Qt5::Test
+    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
     NAME_PREFIX "kpat-"
 )
 ecm_add_test(
     freecell_solver.cpp
     TEST_NAME FcSolveTest
-    LINK_LIBRARIES Qt5::Test
+    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
     NAME_PREFIX "kpat-"
 )
 ecm_add_test(
     golf_solver_wins.cpp
     TEST_NAME GolfSolveTest
-    LINK_LIBRARIES Qt5::Test
+    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
     NAME_PREFIX "kpat-"
 )
 ecm_add_test(
     solve_by_name.cpp
     TEST_NAME SolveByVariantName
-    LINK_LIBRARIES Qt5::Test
+    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
     NAME_PREFIX "kpat-"
 )
 
@@ -53,7 +53,7 @@
     "settings_for_tests.cpp"
     solver_format.cpp
     TEST_NAME SolverFormatTest
-    LINK_LIBRARIES Qt5::Test kcardgame
+    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kcardgame
         KF5KDEGames
         ${BLACK_HOLE_SOLVER_LDFLAGS}
     NAME_PREFIX "kpat-"

=== src/CMakeLists.txt ===
add_subdirectory(libkcardgame)

ecm_setup_version(${kpat_VERSION}
    VARIABLE_PREFIX KPAT
    VERSION_HEADER kpat_version.h
)

set(WITH_FCS_SOFT_SUSPEND ${fcs_soft_suspend})
configure_file(patsolve-config.h.in patsolve-config.h)

set(kpat_SRCS ${libfcs_SRCS}
    main.cpp
    dealer.cpp
    dealerinfo.cpp
    gameselectionscene.cpp
    mainwindow.cpp
    messagebox.cpp
    numbereddealdialog.cpp
    patpile.cpp
    pileutils.cpp
    renderer.cpp
    soundengine.cpp
    statisticsdialog.cpp
    view.cpp
    patsolve/abstract_fc_solve_solver.cpp
    patsolve/memory.cpp
    patsolve/patsolve.cpp

    bakersdozen.cpp
    patsolve/bakersdozensolver.cpp
    castle.cpp
    patsolve/castlesolver.cpp
    clock.cpp 
    patsolve/clocksolver.cpp
    fortyeight.cpp
    patsolve/fortyeightsolver.cpp
    freecell.cpp 
    patsolve/freecellsolver.cpp
    golf.cpp
    patsolve/golfsolver.cpp
    grandf.cpp
    patsolve/grandfsolver.cpp
    gypsy.cpp
    patsolve/gypsysolver.cpp
    idiot.cpp
    patsolve/idiotsolver.cpp
    klondike.cpp
    patsolve/klondikesolver.cpp
    mod3.cpp
    patsolve/mod3solver.cpp
    simon.cpp
    patsolve/simonsolver.cpp
    spider.cpp
    patsolve/spidersolver.cpp
    yukon.cpp
    patsolve/yukonsolver.cpp
    kpat.qrc
)

ki18n_wrap_ui( kpat_SRCS statisticsdialog.ui )
kconfig_add_kcfg_files( kpat_SRCS settings.kcfgc )

ecm_qt_declare_logging_category(kpat_SRCS
    HEADER kpat_debug.h
    IDENTIFIER KPAT_LOG
    CATEGORY_NAME org.kde.kpat
    DESCRIPTION "KPatience"
    EXPORT KPAT
)

file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kpat.png")
ecm_add_app_icon(kpat_SRCS ICONS ${ICONS_SRCS})

add_executable(kpat ${kpat_SRCS})

target_link_libraries(kpat
    KF5::Crash
    KF5::DBusAddons
    KF5::I18n
    KF5::KIOCore
    KF5::GuiAddons
    KF5::Completion
    KF5::XmlGui
    KF5KDEGames
    kcardgame
    ${FC_SOLVE_LDFLAGS}
    ${BLACK_HOLE_SOLVER_LDFLAGS}
)
target_include_directories(kpat
    PRIVATE
        ${FC_SOLVE_INCLUDE_DIRS}
        ${BLACK_HOLE_SOLVER_INCLUDE_DIRS}
)

install(TARGETS kpat ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.kpat.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kpat.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES kpat.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_qt_install_logging_categories(
    EXPORT KPAT
    FILE kpat.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/libkcardgame/CMakeLists.txt ===
--- 
+++ 
@@ -31,13 +31,13 @@
     PUBLIC
         KF5::ConfigWidgets
         KF5::ConfigGui
-        Qt5::Widgets
+        Qt${QT_MAJOR_VERSION}::Widgets
     PRIVATE
         KF5::Completion
         KF5::GuiAddons
-        KF5::NewStuff
+        KF5::NewStuffWidgets
         KF5::I18n
-        Qt5::Svg
+        Qt${QT_MAJOR_VERSION}::Svg
 )
 
 install(TARGETS kcardgame ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kpat (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:21 +0100

kpat (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:05:51 +0100

kpat (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:40 +0100

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libfreecell-solver-dev,
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5guiaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5newstuff-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
               shared-mime-info,
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://kde.org/applications/games/org.kde.kpat
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
Rules-Requires-Root: no

Package: kpat
Architecture: any
Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 23.08.0

=== debian/changelog ===
kpat (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:12 +0100

kpat (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:45 +0100

kpat (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:12 +0100

kpat (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:30 +0100

kpat (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:51 +0000

kpat (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:22:43 -0600

kpat (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:41 +0000

kpat (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - libkdegames build dep to 22.12.0

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Dec 2022 08:07:23 +0000

kpat (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:18 +0000

kpat (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:33 +0000

kpat (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:53 +0000

kpat (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -21,7 +22,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5newstuff-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),
@@ -33,16 +34,16 @@
                shared-mime-info,
                xauth,
                xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
 Rules-Requires-Root: no
 
 Package: kpat
 Architecture: any
-Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends},
-Recommends: khelpcenter,
+Depends: kdegames-card-data-kf5 (>= 4:4.10), ${misc:Depends}, ${shlibs:Depends}
+Recommends: khelpcenter
 Description: solitaire card games
  KPatience is a collection of fourteen solitaire card games, including Klondike,
  Spider, and FreeCell.

## kpat 23.08.1

=== debian/changelog ===
kpat (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5newstuff-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),

## kpat 23.08.4

=== debian/changelog ===
kpat (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:24 +0000

kpat (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:31 +0000

kpat (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:20 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5newstuff-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),

## kpat 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kpat VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.15.2")
-set (KF5_MIN_VERSION "5.91.0")
+set (KF_MIN_VERSION "5.91.0")
 
 include(FindPkgConfig)
 pkg_check_modules(FC_SOLVE REQUIRED libfreecell-solver)
@@ -21,7 +21,7 @@
     COMPILE_DEFINITIONS ${FC_SOLVE_INCLUDE_DIRS}
     LINK_LIBRARIES ${FC_SOLVE_LDFLAGS})
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -34,10 +34,19 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 include(GenerateExportHeader)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test Xml)
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Completion
     Config
     ConfigWidgets
@@ -53,11 +62,15 @@
     XmlGui
 )
 
-find_package(KF5KDEGames 7.3.1 REQUIRED)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(KDEGames6 7.5.0 REQUIRED)
+else()
+    find_package(KF5KDEGames 7.3.1 REQUIRED)
+endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 5.15.2
-    KF 5.91
+    QT 6.4
+    KF 5.101.0
     KDEGAMES 7.3
 )
 
@@ -76,3 +89,8 @@
 kdoctools_install(po)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)
remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
)
include_directories(
    AFTER
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src
)
ecm_add_test(
    shuffle_test.cpp
    TEST_NAME ShuffleTest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
    NAME_PREFIX "kpat-"
)
ecm_add_test(
    freecell_solver.cpp
    TEST_NAME FcSolveTest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
    NAME_PREFIX "kpat-"
)

ecm_add_test(
    solve_by_name.cpp
    TEST_NAME SolveByVariantName
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
    NAME_PREFIX "kpat-"
)

ecm_qt_declare_logging_category(SolverFormatTest_LOG_SRCS
    HEADER kpat_debug.h
    IDENTIFIER KPAT_LOG
    CATEGORY_NAME org.kde.kpat
)

if (WITH_BH_SOLVER)
    ecm_add_test(
        golf_solver_wins.cpp
        TEST_NAME GolfSolveTest
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
        NAME_PREFIX "kpat-"
    )

    if (QT_MAJOR_VERSION STREQUAL "6")
        set(KDEGames_LIB KDEGames6)
    else()
        set(KDEGames_LIB KF5KDEGames)
    endif()
    ecm_add_test(
        "${CMAKE_SOURCE_DIR}/src/dealer.cpp"
        "${CMAKE_SOURCE_DIR}/src/dealerinfo.cpp"
        "${CMAKE_SOURCE_DIR}/src/golf.cpp"
        "${CMAKE_SOURCE_DIR}/src/patsolve/golfsolver.cpp"
        "${CMAKE_SOURCE_DIR}/src/patsolve/memory.cpp"
        "${CMAKE_SOURCE_DIR}/src/patsolve/patsolve.cpp"
        "${CMAKE_SOURCE_DIR}/src/messagebox.cpp"
        "${CMAKE_SOURCE_DIR}/src/patpile.cpp"
        "${CMAKE_SOURCE_DIR}/src/pileutils.cpp"
        "${CMAKE_SOURCE_DIR}/src/renderer.cpp"
        ${SolverFormatTest_LOG_SRCS}
        "settings_for_tests.cpp"
        solver_format.cpp
        TEST_NAME SolverFormatTest
        LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kcardgame
            ${KDEGames_LIB}
            ${BLACK_HOLE_SOLVER_LDFLAGS}
        NAME_PREFIX "kpat-"
    )
    # kpat code may include generated files, so by using any kpat file in the test
    # the test itself becomes dependent on the entire kpat target, even when not
    # using the target directly.
    # TODO: make libkpat a static library linked into the test and kpat itself so
    # the dependency order is "correct" and the compilation units are only built
    # once.
    add_dependencies(SolverFormatTest kpat)

endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 set(WITH_FCS_SOFT_SUSPEND ${fcs_soft_suspend})
 configure_file(patsolve-config.h.in patsolve-config.h)
+
+if (WITH_BH_SOLVER)
+  set(GOLFSOLVER_SOURCE "patsolve/golfsolver.cpp")
+endif()
 
 set(kpat_SRCS ${libfcs_SRCS}
     main.cpp
@@ -37,7 +41,7 @@
     freecell.cpp 
     patsolve/freecellsolver.cpp
     golf.cpp
-    patsolve/golfsolver.cpp
+    ${GOLFSOLVER_SOURCE}
     grandf.cpp
     patsolve/grandfsolver.cpp
     gypsy.cpp
@@ -51,7 +55,7 @@
     simon.cpp
     patsolve/simonsolver.cpp
     spider.cpp
-    patsolve/spidersolver.cpp
+    patsolve/spidersolver2.cpp
     yukon.cpp
     patsolve/yukonsolver.cpp
     kpat.qrc
@@ -73,15 +77,20 @@
 
 add_executable(kpat ${kpat_SRCS})
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kpat KDEGames6)
+else()
+    target_link_libraries(kpat KF5KDEGames)
+endif()
+
 target_link_libraries(kpat
-    KF5::Crash
-    KF5::DBusAddons
-    KF5::I18n
-    KF5::KIOCore
-    KF5::GuiAddons
-    KF5::Completion
-    KF5::XmlGui
-    KF5KDEGames
+    KF${KF_MAJOR_VERSION}::Crash
+    KF${KF_MAJOR_VERSION}::DBusAddons
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::KIOCore
+    KF${KF_MAJOR_VERSION}::GuiAddons
+    KF${KF_MAJOR_VERSION}::Completion
+    KF${KF_MAJOR_VERSION}::XmlGui
     kcardgame
     ${FC_SOLVE_LDFLAGS}
     ${BLACK_HOLE_SOLVER_LDFLAGS}

=== src/libkcardgame/CMakeLists.txt ===
--- 
+++ 
@@ -29,14 +29,14 @@
 generate_export_header(kcardgame BASE_NAME libkcardgame)
 target_link_libraries(kcardgame
     PUBLIC
-        KF5::ConfigWidgets
-        KF5::ConfigGui
+        KF${KF_MAJOR_VERSION}::ConfigWidgets
+        KF${KF_MAJOR_VERSION}::ConfigGui
         Qt${QT_MAJOR_VERSION}::Widgets
     PRIVATE
-        KF5::Completion
-        KF5::GuiAddons
-        KF5::NewStuffWidgets
-        KF5::I18n
+        KF${KF_MAJOR_VERSION}::Completion
+        KF${KF_MAJOR_VERSION}::GuiAddons
+        KF${KF_MAJOR_VERSION}::NewStuffWidgets
+        KF${KF_MAJOR_VERSION}::I18n
         Qt${QT_MAJOR_VERSION}::Svg
 )

=== debian/changelog ===
kpat (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:24 +0200

kpat (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:20 +0000

kpat (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:14:17 +0000

kpat (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:13:18 -0700

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.91.0~),
                libkf5guiaddons-dev (>= 5.91.0~),
                libkf5i18n-dev (>= 5.91.0~),
-               libkf5kdegames-dev (>= 4:23.08.4~),
+               libkf5kdegames-dev (>= 4:23.08.5~),
                libkf5kio-dev (>= 5.91.0~),
                libkf5newstuff-dev (>= 5.91.0~),
                libkf5widgetsaddons-dev (>= 5.91.0~),

## kpat 24.12.0

=== debian/changelog ===
kpat (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:17 +0000

kpat (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:08 +0000

kpat (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 11:57:35 +0000

kpat (4:24.08.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:49:30 +0000

kpat (4:24.08.3-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2). 

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * kf6ify debian/rules.
  * Update dependencies according to cmake.
  * Refresh copyright.
  * Bump standards version 4.7.0; no changes required.
  * Add buginfo to metadata.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.3).
  * Fix dependency on kdegames-card-data.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Nov 2024 12:00:00 +0100

=== debian/control ===
Source: kpat
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libfreecell-solver-dev,
               libkdegames6-dev (>= 4:24.12.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6newstuff-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               shared-mime-info,
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://kde.org/applications/games/org.kde.kpat
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
Rules-Requires-Root: no

Package: kpat
Architecture: any
Depends: kdegames-card-data (>= 4:24.05.2), ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Description: solitaire card games
 KPatience is a collection of fourteen solitaire card games, including Klondike,
 Spider, and FreeCell.
 .
 This package is part of the KDE games module.

## kpat 24.12.1

=== debian/changelog ===
kpat (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 18:05:43 +0100

kpat (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 22:10:52 +0100

kpat (4:24.08.3-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix dependency on kdegames-card-data for real…

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Nov 2024 21:29:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -15,7 +14,6 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libfreecell-solver-dev,
-               libkdegames6-dev (>= 4:24.12.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -25,20 +23,21 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkdegames6-dev (>= 4:24.05.2~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
+               qt6-svg-dev (>= 6.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
                shared-mime-info,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
 Rules-Requires-Root: no
 
 Package: kpat

## kpat 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kpat VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(FindPkgConfig)
include(FeatureSummary)
include(GenerateExportHeader)

include(InternalMacros)

option(WITH_BH_SOLVER "Make use of https://github.com/shlomif/black-hole-solitaire for solving Golf" ON)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Widgets
    Svg
    Test
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    GuiAddons
    I18n
    KIO
    NewStuff
    WidgetsAddons
    XmlGui
)

find_package(KDEGames6 6.0.0 REQUIRED)

find_package(FreecellSolver)
set_package_properties(FreecellSolver PROPERTIES TYPE REQUIRED)

if (WITH_BH_SOLVER)
    find_package(BlackHoleSolver)
    set_package_properties(BlackHoleSolver PROPERTIES TYPE REQUIRED)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
    KDEGAMES 6.0
)

add_subdirectory(icons)
add_subdirectory(mimetypes)
add_subdirectory(previews)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(doc)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kpat (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.
    - wrap-and-sort

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 16:04:13 +0000

kpat (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:06:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -14,6 +15,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libfreecell-solver-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -23,21 +25,20 @@
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
-               libkdegames6-dev (>= 4:24.05.2~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6newstuff-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
-               qt6-svg-dev (>= 6.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                shared-mime-info,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
 Rules-Requires-Root: no
 
 Package: kpat

## kpat 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kpat VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpat (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: kpat
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@debian.org>,
            Sune Vuorela <sune@debian.org>,
-           Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libfreecell-solver-dev,
-               libkdegames6-dev (>= 4:24.12.3~),
+               libkdegames6-dev (>= 4:24.05.2~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
@@ -35,10 +33,10 @@
                shared-mime-info,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
-Homepage: https://kde.org/applications/games/org.kde.kpat
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpat
+Standards-Version: 4.7.2
+Homepage: https://apps.kde.org/kpat/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpat
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpat.git
 Rules-Requires-Root: no
 
 Package: kpat
